#include <SPI.h> // SPI-Bibliothek einbinden
#include <MFRC522.h> // RFID-Bibliothek einbinden
#define SS_PIN 10 // Konfigurierbarer Pin (SDA am Modul)
#define RST_PIN 9 // Konfigurierbarer Pin
#define ledPin 2 // Pin der LED deklarieren

MFRC522 mfrc522(SS_PIN, RST_PIN); // MFRC522 Instanz starten

void setup()
{
  Serial.begin(9600); // Serielle Verbindung initalisieren
  SPI.begin();
  mfrc522.PCD_Init();
  pinMode (ledPin, OUTPUT); // digitaler Pin der Led wird als Output deklariert
}

void loop()
{
  if ( ! mfrc522.PICC_IsNewCardPresent()) // Suche nach neuer Karte...
  {
    return; // Gehe weiter...
  }

  if ( ! mfrc522.PICC_ReadCardSerial()) // Wähle RFID-Transponder
  {
    return; // Gehe weiter...
  }

  Serial.print("Die UID des RFID-TAGS lautet:"); // Schreibe auf den seriellen Monitor
// Auslesen der UID
  String rfid = "";
  for (byte i = 0; i < mfrc522.uid.size; i++) {
    rfid += mfrc522.uid.uidByte[i] < 0x10 ? " 0" : " ";
    rfid += String(mfrc522.uid.uidByte[i], HEX);
  }
    rfid.trim(); // entfernt Leerzeichen vor und nach der UID
    rfid.toUpperCase(); // Großschreibung der UID
  {
    Serial.print(rfid); // Zeige UID des RFID-Tags im Seriellen Monitor
    Serial.println(); // Zeilenumbruch
  }

  if (rfid == "34 22 EC E2") // Wenn die richtige Karte erkannt wurde...
  {

    digitalWrite (ledPin, HIGH); // ...dann soll die LED leuchten...
    delay (5000); // 5 Sekunden Verzögerung
    digitalWrite (ledPin, LOW); // … und wieder ausgehen.

  }
}
